apiVersion: apps/v1
kind: Deployment
metadata:
  name: tomcat
  labels:
    app: tomcat
spec:
  replicas: 1
  selector:
    matchLabels:
      app: tomcat
  
  template:
    metadata:
      labels:
        app: tomcat
    spec:
      containers:
      - image: kishore2024/tomcat:tomcat9-MQ91
        name: tomcat
        env:
        - name: HOSTNAME
          value: mqservice
        ports:
        - containerPort: 8080
          name: http
